import { Planet } from "../PlanetManager";
import SystemManager from "../SystemManager";

export default abstract class EnergyManager {
    protected _manager: Planet | SystemManager;
    production: number = 0;
    consumption: number = 0;

    constructor(manager: Planet | SystemManager) {
        this._manager = manager;
    }

    abstract update(): this;
}